Autoupdate failed

Hi,
my Raspberry based DAppNode does not seem to auto-update. When I activate autoupdate it looks like it is turned on, but an update never happens. Specifically I am looking into a bee update, it stays on version 0.5.0 (upstream) but should by now be updated to 0.5.2 (upstream, v0.1.8 of the Package (GitHub - dappnode/DAppNodePackage-bee).

When disabling and then enabling autoupdate I see the following error message in the activity log:

error26Call to autoUpdateDataGet

Today, 12 min ago

Reply: connect EAGAIN /var/run/docker.sock

Error: connect EAGAIN /var/run/docker.sock at PipeConnectWrap.afterConnect [as oncomplete] (net.js:1097:14) []

Any Ideas ?

Core DAppNode Packages versions

  • bind.dnp.dappnode.eth: 0.2.6
  • dappmanager.dnp.dappnode.eth: 0.2.38, commit: 85e2b4cf
  • ipfs.dnp.dappnode.eth: 0.2.14
  • vpn.dnp.dappnode.eth: 0.2.8, commit: f9a8743e
  • wifi.dnp.dappnode.eth: 0.2.6

System info

  • docker version: Docker version 18.09.8-ce, build 0dd43dd87fd530113bf44c9bba9ad8b20ce4637f
  • docker compose version: docker-compose version 1.25.5, build unknown
  • platform: linux, arm64, 5.10.17-v8+
  • Disk usage: 10%

Today, the update finally happened automatically for the bee client even though there are still error messages in the activity log. No other auto-update has been performed maybe there simply are no updates available. So this topic can be closed then.

Hi @911spyder welcome to our forum!

Glad to see the update could happen eventually. @pablo is this RPi docker error known?